com.sun.grid.jgdi.configuration

## Class UserImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.UserImpl

- All Implemented Interfaces:
    GEObject, User, java.io.Serializable, java.lang.Cloneable

      public class UserImpl
      extends GEObjectImpl
      implements User

  Java representation of the cull object UU_Type defined in sge_all_listsL.template

  Warning: The UserImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserImpl()` Create a new instance of UserImpl.
    `UserImpl(boolean initWithDefaultValues)` Create a new instanceof
    `UserImpl(java.lang.String name)` Create a new instance of UserImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getDefaultProject()` Get the value of the defaultProject attribute.
    `int` | `getDeleteTime()` Get the value of the deleteTime attribute.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getOticket()` Get the value of the oticket attribute.
    `boolean` | `isSetDefaultProject()` Determine if the defaultProject attribute is set
    `boolean` | `isSetDeleteTime()` Determine if the deleteTime attribute is set
    `boolean` | `isSetFshare()` Determine if the fshare attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetOticket()` Determine if the oticket attribute is set
    `void` | `setDefaultProject(java.lang.String aDefaultProject)` Set the defaultProject attribute.
    `void` | `setDeleteTime(int aDeleteTime)` Set the deleteTime attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOticket(int aOticket)` Set the oticket attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### UserImpl

          public UserImpl()

      Create a new instance of UserImpl. The new instance will not be initialized with the default values.

    - #### UserImpl

          public UserImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### UserImpl

          public UserImpl(java.lang.String name)

      Create a new instance of UserImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `User`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `User`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `User`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetOticket

          public boolean isSetOticket()

      Determine if the oticket attribute is set
      Specified by:
        `isSetOticket` in interface `User`
      Returns:
        `true` if the oticket attribute is set

    - #### setOticket

          public void setOticket(int aOticket)

      Set the oticket attribute.
      Specified by:
        `setOticket` in interface `User`
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          public int getOticket()

      Get the value of the oticket attribute.
      Specified by:
        `getOticket` in interface `User`
      Returns:
        the value of the oticket attribute

    - #### isSetFshare

          public boolean isSetFshare()

      Determine if the fshare attribute is set
      Specified by:
        `isSetFshare` in interface `User`
      Returns:
        `true` if the fshare attribute is set

    - #### setFshare

          public void setFshare(int aFshare)

      Set the fshare attribute.
      Specified by:
        `setFshare` in interface `User`
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          public int getFshare()

      Get the value of the fshare attribute.
      Specified by:
        `getFshare` in interface `User`
      Returns:
        the value of the fshare attribute

    - #### isSetDeleteTime

          public boolean isSetDeleteTime()

      Determine if the deleteTime attribute is set
      Specified by:
        `isSetDeleteTime` in interface `User`
      Returns:
        `true` if the deleteTime attribute is set

    - #### setDeleteTime

          public void setDeleteTime(int aDeleteTime)

      Set the deleteTime attribute.
      Specified by:
        `setDeleteTime` in interface `User`
      Parameters:
        `aDeleteTime` - the new value for the deleteTime attribute

    - #### getDeleteTime

          public int getDeleteTime()

      Get the value of the deleteTime attribute.
      Specified by:
        `getDeleteTime` in interface `User`
      Returns:
        the value of the deleteTime attribute

    - #### isSetDefaultProject

          public boolean isSetDefaultProject()

      Determine if the defaultProject attribute is set
      Specified by:
        `isSetDefaultProject` in interface `User`
      Returns:
        `true` if the defaultProject attribute is set

    - #### setDefaultProject

          public void setDefaultProject(java.lang.String aDefaultProject)

      Set the defaultProject attribute.
      Specified by:
        `setDefaultProject` in interface `User`
      Parameters:
        `aDefaultProject` - the new value for the defaultProject attribute

    - #### getDefaultProject

          public java.lang.String getDefaultProject()

      Get the value of the defaultProject attribute.
      Specified by:
        `getDefaultProject` in interface `User`
      Returns:
        the value of the defaultProject attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `User`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.